#!/bin/bash
PKG_LIST="gufw pwgen p7zip-full p7zip-rar texmaker inkscape gimp pidgin subversion git \
gnome haskell-platform java7-jdk swi-prolog python-numpy python-simpy python-scipy \
python-matplotlib ipython python-dev gnuplot wxmaxima fityk openssh-server \
linux-firmware-nonfree zsh zsh-doc lftp graphviz xubuntu-desktop unrar-free \
gddrescue smartmontools \
libx11-dev libxpm-dev libxft-dev libxext-dev \
gfortran libpcre3-dev xlibmesa-glu-dev libglew1.5-dev libftgl-dev libmysqlclient-dev \
libfftw3-dev cfitsio-dev graphviz-dev libavahi-compat-libdnssd-dev libldap2-dev \
python-dev libxml2-dev libkrb5-dev libgsl0-dev libqt4-dev \
"

DESTINATION="/cdrom"
PKG_DESTINATION=$DESTINATION/archives

#begin
echo "creating structure..."
mkdir -p $PKG_DESTINATION/
echo "done."
echo "downloading archives. this may take some time..."
wget -nc -P $PKG_DESTINATION $(apt-get install --reinstall --print-uris -qq $PKG_LIST | cut -d"'" -f2)
#wget -nc -P $PKG_DESTINATION $(apt-get -o APT::Architecture=$ARCHITECTURE install --reinstall --allow-unauthenticated --print-uris -qq $PKG_LIST | cut -d"'" -f2)
echo "done."

#end.
