#!/bin/bash
set -e

MY_DIR="$( readlink -f "$( dirname "${BASH_SOURCE[0]}" )" )"

if [[ $UID -ne 0 ]]; then
  echo "$0 must be run as root"
  exit 1
fi

MPOINT=""
source "$MY_DIR/mount-stick-repo.sh" #detect mountpoint

if [ -n "$MPOINT" ]; then
  SOURCE_PATH="$MPOINT"
  
  #SRC_LST=/etc/apt/sources.list.d/lipoffline.list    #"$(mktemp --suffix=".list")"
  #echo "deb [ trusted=yes ] file:$SOURCE_PATH/archives precise lip" > $SRC_LST
  #apt-get -o Dir::Etc::SourceList=$SRC_LST update
  #apt-get update
  /bin/bash $MY_DIR/liprepoctl.sh on "$SOURCE_PATH"
else
   echo "No stick, no repo; good luck."
   exit 1
fi

exit 0

#end;
