%% LaTeX2e-Klasse fuer Beamer von der Fachschaft I/1
%% der RWTH Aachen
%%
%% $Id: esinfo.cls 34 2007-08-02 20:42:00Z thomas $
%%
\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{beamerfsmpi}[2007/08/10 Fachschaft I/1, Beamer]
%\LoadClass{beamer}
\LoadClass[trans]{beamer}

% \useoutertheme{miniframes}
% \useoutertheme{infolines}
\useoutertheme{fsmpi}
\useinnertheme{rectangles}
\usecolortheme{beaver}
\setbeamertemplate{background}{\includegraphics[width=\paperwidth,height=\paperheight]{background-print}}

\usepackage{ngerman}
\usepackage{amsmath}
\usepackage{graphicx,rotate}
% \usepackage{pgf}
\usepackage[utf8]{inputenc} 
\usepackage{ifthen}
\setbeamercovered{transparent}
% \beamertemplatecircleitem
% \usepackage{beamerthemesplit}

% \usepackage{pst-plot, pstricks}
% \usepackage{fancybox,amssymb,color}
% \newpsobject{showgrid}{psgrid}{subgriddiv=1,griddots=10,gridlabels=0pt}

%\setlength{\footheight}{10cm}
% \geometry{papersize={12.80cm,10.24cm}}
% \setbeamersize{right=8cm}
